Subject: RE: [nfsv4] Planning for completion of NFSv4.1 I-D

From: "Noveck, Dave" <[email-masked]>
Date: Tue, 20 Jun 2006 12:13:29 -0400

As far as implementation experience, I think we want it but we have
to be clear about exactly what the requirement is.  We are not going
to get the investment for complete implementations that touch some of
the difficult issues until there is a spec.  That's a chicken and egg 
problem and we don't want to require so much implementation experience 
that we don't make progress.  For areas where we don't get the 
implementation experience, we have to recognize that and try to 
compensate with other sorts of validation activities (e.g. more 
intense review).

I think we need to understand the list of features that are big enough
that we think implementation experience is required and what level
of implementation experience we are expecting for each one.

So this leads to my thoughts on your stages which I think is a good
framework.  What I would change/add is to place a stage 0 in front.

Stage 0 starts with a subset of your stage 1:

- Inclusion of all functionality descriptions
- Major restructuring complete
- Complete .x file matching document

and makes one clarification:

- the fucntionality descriptions should be complete in that there are
  no known unresolved issues about what they mean

and adds one item:

- Group consensus on what implemention experience needs still be gotten.

The idea of phase 0 is that we know what implementation experience we 
need and we have a spec that people can code to when getting that 
experience.

Does that make sense to people?  If it does, the next step is to decide
what issues are required for stage 0, mark them with a keyword and get
busy figuring out when we can get them done.  Something that is nice-to-have
may still be required-for-stage0 at least until we decide whether we are
going to include that feature.  If we decide we are, it becomes required.
If we decide not, it goes away, but we do have to decide before stage 0.

-----Original Message-----
From: Spencer Shepler [mailto:[email-masked]]
Sent: Tuesday, June 20, 2006 7:27 AM
To: [email-masked]
Subject: [nfsv4] Planning for completion of NFSv4.1 I-D

On Mon, Noveck, Dave wrote:
>  
> The second item is that I'd like us to begin consideration of a schedule
> for the v4.1 spec. I know that we discussed this at a previous call, but
> I've become concerned at the fact that we don't really have a schedule
> we can believe in.  The process we have followed is basically to pick a
> desirable completion date, work backwards to compute various deadlines
> that we would have to meet to make that date, miss those deadlines, and
> start all over again.  I'd like us to try to formulate a more reasonable
> schedule based on at least somewhat realistic estimates of when we
> really expect stuff to be done, and figure out a completion date from
> that.  If we don't like the resulting date, then we have to figure out
> what we need to do differently to meet a more aggressive date. I don't
> expect us to have a schedule or plan on 6/27 but I'd like to begin the
> discussion so that people can start thinking through the issues and we
> can continue consideration of this in Montreal.

Having a more exacting task list and resultant volunteers/assignments
and therefore schedule is fine.  I would suggest that we not postpone
the discussion for venues where participation is less than those
that are able to help with the overall task of finishing the
minor version I-D.  Therefore, the discussion should start here
on the alias (which we have done).

---

Obviously, we need to have an Internet Draft that is complete
and ready for working group last call.  So, that means that it is
of reasonable quality in readabiliy, completeness, and correctness.

Since the outset of this effort there seems to have been a desire
to produce an NFSv4.1 I-D that is of higher overall quality than
what was produce for 4.0.  This has been exemplified by the WG's
desire to have implementation experience for the functionality in 
the protocol specification.

So the first order of business is to see if this is still desired
by the WG.  Do we want to require implementation experience?
In what form?  Will we require some simple form of implementation
report from those that have done the work?

Are there other requirements of the NFSv4.1 work that is similar
to implementation experience that should be discussed/required?

With respect to the individual tasks that need to be accomplished
leading up to WG last call, I would propose the following general
outline as a starting point.  Please provide additions to this
list or a restructuring that would best capture the remaining
work.

---

Minor vesion completion tasks

Stage 1
-------
- Inclusion of all functionality descriptions
- Inclusion of all major introductory or explanatory text
- Major restructuring complete
- First draft of IANA and Security Considerations
- Complete .x file matching document
- First full document review for:
	- MAY/SHOULD/MUST usage
	- normative references
	- intra-document consistency at macro level
	- missing descriptive or explanatory text

Stage 2
-------
- Implementation reports
- Major copyediting work complete
  (consistency of voice and simplication of language
   for non-native English readers)
- Second full document review for:
	- MAY/SHOULD/MUST usage
	- intra-document consistency at micro level
	- minor editorial issues
- Solicit input from any other working groups
  or area directors (as required)

Stage 3
-------
- Preparation for WG last call
- Final full review for all issues.

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4